Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanServerInvocationHandler

    java.lang.Object
      javax.management.MBeanServerInvocationHandler

All Implemented Interfaces:
  InvocationHandler

public class MBeanServerInvocationHandler
extends Object
implements InvocationHandler

An invocation handler to proxy requests through the MBeanServer

Version:
  $Revision: 1.5 $
Author:
  Adrian Brock.

Constructor Summary
`MBeanServerInvocationHandler(MBeanServerConnection connection, ObjectName name)` Construct an MBeanServerInvocationHandler for the given connection and object name.

Method Summary
`Object` | `invoke(Object proxy, Method method, Object[] args)`
`static Object` | `newProxyInstance(MBeanServerConnection connection, ObjectName name, Class interfaceClass, boolean broadcaster)` Constructs a new Proxy for the MBean using an MBeanServerInvocationHandler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanServerInvocationHandler

    public MBeanServerInvocationHandler(MBeanServerConnection connection,
                                        ObjectName name)

  Construct an MBeanServerInvocationHandler for the given connection and object name.

Parameters:
  `connection` - the MBeanServerConnection
  `name` - the ObjectName of the bean

Method Detail

### newProxyInstance

    public static Object newProxyInstance(MBeanServerConnection connection,
                                          ObjectName name,
                                          Class interfaceClass,
                                          boolean broadcaster)

  Constructs a new Proxy for the MBean using an MBeanServerInvocationHandler.

  Parameters:
    `connection` - the MBeanServerConnection
    `name` - the ObjectName of the bean
    `interfaceClass` - the interface to expose
    `broadcaster` - pass true to expose the NotificationEmitter interface

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

  Specified by:
    `invoke` in interface `InvocationHandler`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.